#include <bits/stdc++.h>
using namespace std;

int main() {
	int n, l;
	int niz[n];
	cin>>n>>l;
	for(int i=0; i<n; i++){
		cin>>niz[i];
	}
	bool a = true;
	for(int i=0; i<n; i++){
		if(l>=niz[i]){
			cout<<i+1;
			a=false;
			break;
		}
	}
	if(a){
		cout << -1;
	}
	return 0;
}